config.status 29 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941
  1. #! /bin/sh
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. ac_cs_recheck=false
  8. ac_cs_silent=false
  9. SHELL=${CONFIG_SHELL-/bin/sh}
  10. ## --------------------- ##
  11. ## M4sh Initialization. ##
  12. ## --------------------- ##
  13. # Be Bourne compatible
  14. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  15. emulate sh
  16. NULLCMD=:
  17. # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  18. # is contrary to our usage. Disable this feature.
  19. alias -g '${1+"$@"}'='"$@"'
  20. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  21. set -o posix
  22. fi
  23. DUALCASE=1; export DUALCASE # for MKS sh
  24. # Support unset when possible.
  25. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  26. as_unset=unset
  27. else
  28. as_unset=false
  29. fi
  30. # Work around bugs in pre-3.0 UWIN ksh.
  31. $as_unset ENV MAIL MAILPATH
  32. PS1='$ '
  33. PS2='> '
  34. PS4='+ '
  35. # NLS nuisances.
  36. for as_var in \
  37. LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  38. LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  39. LC_TELEPHONE LC_TIME
  40. do
  41. if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  42. eval $as_var=C; export $as_var
  43. else
  44. $as_unset $as_var
  45. fi
  46. done
  47. # Required to use basename.
  48. if expr a : '\(a\)' >/dev/null 2>&1; then
  49. as_expr=expr
  50. else
  51. as_expr=false
  52. fi
  53. if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  54. as_basename=basename
  55. else
  56. as_basename=false
  57. fi
  58. # Name of the executable.
  59. as_me=`$as_basename "$0" ||
  60. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  61. X"$0" : 'X\(//\)$' \| \
  62. X"$0" : 'X\(/\)$' \| \
  63. . : '\(.\)' 2>/dev/null ||
  64. echo X/"$0" |
  65. sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
  66. /^X\/\(\/\/\)$/{ s//\1/; q; }
  67. /^X\/\(\/\).*/{ s//\1/; q; }
  68. s/.*/./; q'`
  69. # PATH needs CR, and LINENO needs CR and PATH.
  70. # Avoid depending upon Character Ranges.
  71. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  72. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  73. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  74. as_cr_digits='0123456789'
  75. as_cr_alnum=$as_cr_Letters$as_cr_digits
  76. # The user is always right.
  77. if test "${PATH_SEPARATOR+set}" != set; then
  78. echo "#! /bin/sh" >conf$$.sh
  79. echo "exit 0" >>conf$$.sh
  80. chmod +x conf$$.sh
  81. if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  82. PATH_SEPARATOR=';'
  83. else
  84. PATH_SEPARATOR=:
  85. fi
  86. rm -f conf$$.sh
  87. fi
  88. as_lineno_1=$LINENO
  89. as_lineno_2=$LINENO
  90. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  91. test "x$as_lineno_1" != "x$as_lineno_2" &&
  92. test "x$as_lineno_3" = "x$as_lineno_2" || {
  93. # Find who we are. Look in the path if we contain no path at all
  94. # relative or not.
  95. case $0 in
  96. *[\\/]* ) as_myself=$0 ;;
  97. *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  98. for as_dir in $PATH
  99. do
  100. IFS=$as_save_IFS
  101. test -z "$as_dir" && as_dir=.
  102. test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  103. done
  104. ;;
  105. esac
  106. # We did not find ourselves, most probably we were run as `sh COMMAND'
  107. # in which case we are not to be found in the path.
  108. if test "x$as_myself" = x; then
  109. as_myself=$0
  110. fi
  111. if test ! -f "$as_myself"; then
  112. { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  113. echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  114. { (exit 1); exit 1; }; }
  115. fi
  116. case $CONFIG_SHELL in
  117. '')
  118. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  119. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  120. do
  121. IFS=$as_save_IFS
  122. test -z "$as_dir" && as_dir=.
  123. for as_base in sh bash ksh sh5; do
  124. case $as_dir in
  125. /*)
  126. if ("$as_dir/$as_base" -c '
  127. as_lineno_1=$LINENO
  128. as_lineno_2=$LINENO
  129. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  130. test "x$as_lineno_1" != "x$as_lineno_2" &&
  131. test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
  132. $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
  133. $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
  134. CONFIG_SHELL=$as_dir/$as_base
  135. export CONFIG_SHELL
  136. exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  137. fi;;
  138. esac
  139. done
  140. done
  141. ;;
  142. esac
  143. # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  144. # uniformly replaced by the line number. The first 'sed' inserts a
  145. # line-number line before each line; the second 'sed' does the real
  146. # work. The second script uses 'N' to pair each line-number line
  147. # with the numbered line, and appends trailing '-' during
  148. # substitution so that $LINENO is not a special case at line end.
  149. # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  150. # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
  151. sed '=' <$as_myself |
  152. sed '
  153. N
  154. s,$,-,
  155. : loop
  156. s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
  157. t loop
  158. s,-$,,
  159. s,^['$as_cr_digits']*\n,,
  160. ' >$as_me.lineno &&
  161. chmod +x $as_me.lineno ||
  162. { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  163. echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  164. { (exit 1); exit 1; }; }
  165. # Don't try to exec as it changes $[0], causing all sort of problems
  166. # (the dirname of $[0] is not the place where we might find the
  167. # original and so on. Autoconf is especially sensible to this).
  168. . ./$as_me.lineno
  169. # Exit status is that of the last command.
  170. exit
  171. }
  172. case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  173. *c*,-n*) ECHO_N= ECHO_C='
  174. ' ECHO_T=' ' ;;
  175. *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  176. *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
  177. esac
  178. if expr a : '\(a\)' >/dev/null 2>&1; then
  179. as_expr=expr
  180. else
  181. as_expr=false
  182. fi
  183. rm -f conf$$ conf$$.exe conf$$.file
  184. echo >conf$$.file
  185. if ln -s conf$$.file conf$$ 2>/dev/null; then
  186. # We could just check for DJGPP; but this test a) works b) is more generic
  187. # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  188. if test -f conf$$.exe; then
  189. # Don't use ln at all; we don't have any links
  190. as_ln_s='cp -p'
  191. else
  192. as_ln_s='ln -s'
  193. fi
  194. elif ln conf$$.file conf$$ 2>/dev/null; then
  195. as_ln_s=ln
  196. else
  197. as_ln_s='cp -p'
  198. fi
  199. rm -f conf$$ conf$$.exe conf$$.file
  200. if mkdir -p . 2>/dev/null; then
  201. as_mkdir_p=:
  202. else
  203. test -d ./-p && rmdir ./-p
  204. as_mkdir_p=false
  205. fi
  206. as_executable_p="test -f"
  207. # Sed expression to map a string onto a valid CPP name.
  208. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  209. # Sed expression to map a string onto a valid variable name.
  210. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  211. # IFS
  212. # We need space, tab and new line, in precisely that order.
  213. as_nl='
  214. '
  215. IFS=" $as_nl"
  216. # CDPATH.
  217. $as_unset CDPATH
  218. exec 6>&1
  219. # Open the log real soon, to keep \$[0] and so on meaningful, and to
  220. # report actual input values of CONFIG_FILES etc. instead of their
  221. # values after options handling. Logging --version etc. is OK.
  222. exec 5>>config.log
  223. {
  224. echo
  225. sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  226. ## Running $as_me. ##
  227. _ASBOX
  228. } >&5
  229. cat >&5 <<_CSEOF
  230. This file was extended by uCON64 $as_me 2.0.2, which was
  231. generated by GNU Autoconf 2.59. Invocation command line was
  232. CONFIG_FILES = $CONFIG_FILES
  233. CONFIG_HEADERS = $CONFIG_HEADERS
  234. CONFIG_LINKS = $CONFIG_LINKS
  235. CONFIG_COMMANDS = $CONFIG_COMMANDS
  236. $ $0 $@
  237. _CSEOF
  238. echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  239. echo >&5
  240. config_files=" config.mak libdiscmage/Makefile"
  241. config_headers=" config.h libdiscmage/config.h"
  242. ac_cs_usage="\
  243. \`$as_me' instantiates files from templates according to the
  244. current configuration.
  245. Usage: $0 [OPTIONS] [FILE]...
  246. -h, --help print this help, then exit
  247. -V, --version print version number, then exit
  248. -q, --quiet do not print progress messages
  249. -d, --debug don't remove temporary files
  250. --recheck update $as_me by reconfiguring in the same conditions
  251. --file=FILE[:TEMPLATE]
  252. instantiate the configuration file FILE
  253. --header=FILE[:TEMPLATE]
  254. instantiate the configuration header FILE
  255. Configuration files:
  256. $config_files
  257. Configuration headers:
  258. $config_headers
  259. Report bugs to <bug-autoconf@gnu.org>."
  260. ac_cs_version="\
  261. uCON64 config.status 2.0.2
  262. configured by ./configure, generated by GNU Autoconf 2.59,
  263. with options \"'--with-libusb' 'CFLAGS=-I/usr/local/Cellar/libusb-compat/0.1.5/include' 'LDFLAGS=-L/usr/local/Cellar/libusb-compat/0.1.5/lib -lusb'\"
  264. Copyright (C) 2003 Free Software Foundation, Inc.
  265. This config.status script is free software; the Free Software Foundation
  266. gives unlimited permission to copy, distribute and modify it."
  267. srcdir=.
  268. INSTALL="/usr/bin/install -c"
  269. # If no file are specified by the user, then we need to provide default
  270. # value. By we need to know if files were specified by the user.
  271. ac_need_defaults=:
  272. while test $# != 0
  273. do
  274. case $1 in
  275. --*=*)
  276. ac_option=`expr "x$1" : 'x\([^=]*\)='`
  277. ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  278. ac_shift=:
  279. ;;
  280. -*)
  281. ac_option=$1
  282. ac_optarg=$2
  283. ac_shift=shift
  284. ;;
  285. *) # This is not an option, so the user has probably given explicit
  286. # arguments.
  287. ac_option=$1
  288. ac_need_defaults=false;;
  289. esac
  290. case $ac_option in
  291. # Handling of the options.
  292. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  293. ac_cs_recheck=: ;;
  294. --version | --vers* | -V )
  295. echo "$ac_cs_version"; exit 0 ;;
  296. --he | --h)
  297. # Conflict between --help and --header
  298. { { echo "$as_me:$LINENO: error: ambiguous option: $1
  299. Try \`$0 --help' for more information." >&5
  300. echo "$as_me: error: ambiguous option: $1
  301. Try \`$0 --help' for more information." >&2;}
  302. { (exit 1); exit 1; }; };;
  303. --help | --hel | -h )
  304. echo "$ac_cs_usage"; exit 0 ;;
  305. --debug | --d* | -d )
  306. debug=: ;;
  307. --file | --fil | --fi | --f )
  308. $ac_shift
  309. CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  310. ac_need_defaults=false;;
  311. --header | --heade | --head | --hea )
  312. $ac_shift
  313. CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  314. ac_need_defaults=false;;
  315. -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  316. | -silent | --silent | --silen | --sile | --sil | --si | --s)
  317. ac_cs_silent=: ;;
  318. # This is an error.
  319. -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  320. Try \`$0 --help' for more information." >&5
  321. echo "$as_me: error: unrecognized option: $1
  322. Try \`$0 --help' for more information." >&2;}
  323. { (exit 1); exit 1; }; } ;;
  324. *) ac_config_targets="$ac_config_targets $1" ;;
  325. esac
  326. shift
  327. done
  328. ac_configure_extra_args=
  329. if $ac_cs_silent; then
  330. exec 6>/dev/null
  331. ac_configure_extra_args="$ac_configure_extra_args --silent"
  332. fi
  333. if $ac_cs_recheck; then
  334. echo "running /bin/sh ./configure " '--with-libusb' 'CFLAGS=-I/usr/local/Cellar/libusb-compat/0.1.5/include' 'LDFLAGS=-L/usr/local/Cellar/libusb-compat/0.1.5/lib -lusb' $ac_configure_extra_args " --no-create --no-recursion" >&6
  335. exec /bin/sh ./configure '--with-libusb' 'CFLAGS=-I/usr/local/Cellar/libusb-compat/0.1.5/include' 'LDFLAGS=-L/usr/local/Cellar/libusb-compat/0.1.5/lib -lusb' $ac_configure_extra_args --no-create --no-recursion
  336. fi
  337. for ac_config_target in $ac_config_targets
  338. do
  339. case "$ac_config_target" in
  340. # Handling of arguments.
  341. "config.mak" ) CONFIG_FILES="$CONFIG_FILES config.mak" ;;
  342. "libdiscmage/Makefile" ) CONFIG_FILES="$CONFIG_FILES libdiscmage/Makefile" ;;
  343. "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  344. "libdiscmage/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libdiscmage/config.h" ;;
  345. *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  346. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  347. { (exit 1); exit 1; }; };;
  348. esac
  349. done
  350. # If the user did not use the arguments to specify the items to instantiate,
  351. # then the envvar interface is used. Set only those that are not.
  352. # We use the long form for the default assignment because of an extremely
  353. # bizarre bug on SunOS 4.1.3.
  354. if $ac_need_defaults; then
  355. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  356. test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  357. fi
  358. # Have a temporary directory for convenience. Make it in the build tree
  359. # simply because there is no reason to put it here, and in addition,
  360. # creating and moving files from /tmp can sometimes cause problems.
  361. # Create a temporary directory, and hook for its removal unless debugging.
  362. $debug ||
  363. {
  364. trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  365. trap '{ (exit 1); exit 1; }' 1 2 13 15
  366. }
  367. # Create a (secure) tmp directory for tmp files.
  368. {
  369. tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  370. test -n "$tmp" && test -d "$tmp"
  371. } ||
  372. {
  373. tmp=./confstat$$-$RANDOM
  374. (umask 077 && mkdir $tmp)
  375. } ||
  376. {
  377. echo "$me: cannot create a temporary directory in ." >&2
  378. { (exit 1); exit 1; }
  379. }
  380. #
  381. # CONFIG_FILES section.
  382. #
  383. # No need to generate the scripts if there are no CONFIG_FILES.
  384. # This happens for instance when ./config.status config.h
  385. if test -n "$CONFIG_FILES"; then
  386. # Protect against being on the right side of a sed subst in config.status.
  387. sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  388. s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  389. s,@SHELL@,/bin/sh,;t t
  390. s,@PATH_SEPARATOR@,:,;t t
  391. s,@PACKAGE_NAME@,uCON64,;t t
  392. s,@PACKAGE_TARNAME@,ucon64,;t t
  393. s,@PACKAGE_VERSION@,2.0.2,;t t
  394. s,@PACKAGE_STRING@,uCON64 2.0.2,;t t
  395. s,@PACKAGE_BUGREPORT@,ucon64-main@lists.sourceforge.net,;t t
  396. s,@exec_prefix@,${prefix},;t t
  397. s,@prefix@,/usr/local,;t t
  398. s,@program_transform_name@,s,x,x,,;t t
  399. s,@bindir@,${exec_prefix}/bin,;t t
  400. s,@sbindir@,${exec_prefix}/sbin,;t t
  401. s,@libexecdir@,${exec_prefix}/libexec,;t t
  402. s,@datadir@,${prefix}/share,;t t
  403. s,@sysconfdir@,${prefix}/etc,;t t
  404. s,@sharedstatedir@,${prefix}/com,;t t
  405. s,@localstatedir@,${prefix}/var,;t t
  406. s,@libdir@,${exec_prefix}/lib,;t t
  407. s,@includedir@,${prefix}/include,;t t
  408. s,@oldincludedir@,/usr/include,;t t
  409. s,@infodir@,${prefix}/info,;t t
  410. s,@mandir@,${prefix}/man,;t t
  411. s,@build_alias@,,;t t
  412. s,@host_alias@,,;t t
  413. s,@target_alias@,,;t t
  414. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  415. s,@ECHO_C@,\c,;t t
  416. s,@ECHO_N@,,;t t
  417. s,@ECHO_T@,,;t t
  418. s,@LIBS@,,;t t
  419. s,@CC@,gcc,;t t
  420. s,@CFLAGS@,-I/usr/local/Cellar/libusb-compat/0.1.5/include,;t t
  421. s,@LDFLAGS@,-L/usr/local/Cellar/libusb-compat/0.1.5/lib -lusb,;t t
  422. s,@CPPFLAGS@,,;t t
  423. s,@ac_ct_CC@,gcc,;t t
  424. s,@EXEEXT@,,;t t
  425. s,@OBJEXT@,o,;t t
  426. s,@CPP@,gcc -E,;t t
  427. s,@EGREP@,grep -E,;t t
  428. s,@DEFINE_DLOPEN_MAKE@,DLOPEN=1,;t t
  429. s,@DEFINE_DISCMAGE_MAKE@,USE_DISCMAGE=1,;t t
  430. s,@DEFINE_LIBCD64_MAKE@,,;t t
  431. s,@LIBI386_MAKE@,-li386,;t t
  432. s,@DEFINE_ZLIB_MAKE@,USE_ZLIB=1,;t t
  433. s,@DEFINE_USB_MAKE@,USE_USB=1,;t t
  434. s,@LIBOBJS@,,;t t
  435. s,@RANLIB@,ranlib,;t t
  436. s,@ac_ct_RANLIB@,ranlib,;t t
  437. s,@INSTALL_PROGRAM@,${INSTALL},;t t
  438. s,@INSTALL_SCRIPT@,${INSTALL},;t t
  439. s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  440. s,@LTLIBOBJS@,,;t t
  441. CEOF
  442. # Split the substitutions into bite-sized pieces for seds with
  443. # small command number limits, like on Digital OSF/1 and HP-UX.
  444. ac_max_sed_lines=48
  445. ac_sed_frag=1 # Number of current file.
  446. ac_beg=1 # First line for current file.
  447. ac_end=$ac_max_sed_lines # Line after last line for current file.
  448. ac_more_lines=:
  449. ac_sed_cmds=
  450. while $ac_more_lines; do
  451. if test $ac_beg -gt 1; then
  452. sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  453. else
  454. sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  455. fi
  456. if test ! -s $tmp/subs.frag; then
  457. ac_more_lines=false
  458. else
  459. # The purpose of the label and of the branching condition is to
  460. # speed up the sed processing (if there are no `@' at all, there
  461. # is no need to browse any of the substitutions).
  462. # These are the two extra sed commands mentioned above.
  463. (echo ':t
  464. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  465. if test -z "$ac_sed_cmds"; then
  466. ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  467. else
  468. ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  469. fi
  470. ac_sed_frag=`expr $ac_sed_frag + 1`
  471. ac_beg=$ac_end
  472. ac_end=`expr $ac_end + $ac_max_sed_lines`
  473. fi
  474. done
  475. if test -z "$ac_sed_cmds"; then
  476. ac_sed_cmds=cat
  477. fi
  478. fi # test -n "$CONFIG_FILES"
  479. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  480. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  481. case $ac_file in
  482. - | *:- | *:-:* ) # input from stdin
  483. cat >$tmp/stdin
  484. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  485. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  486. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  487. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  488. * ) ac_file_in=$ac_file.in ;;
  489. esac
  490. # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  491. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  492. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  493. X"$ac_file" : 'X\(//\)[^/]' \| \
  494. X"$ac_file" : 'X\(//\)$' \| \
  495. X"$ac_file" : 'X\(/\)' \| \
  496. . : '\(.\)' 2>/dev/null ||
  497. echo X"$ac_file" |
  498. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  499. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  500. /^X\(\/\/\)$/{ s//\1/; q; }
  501. /^X\(\/\).*/{ s//\1/; q; }
  502. s/.*/./; q'`
  503. { if $as_mkdir_p; then
  504. mkdir -p "$ac_dir"
  505. else
  506. as_dir="$ac_dir"
  507. as_dirs=
  508. while test ! -d "$as_dir"; do
  509. as_dirs="$as_dir $as_dirs"
  510. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  511. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  512. X"$as_dir" : 'X\(//\)[^/]' \| \
  513. X"$as_dir" : 'X\(//\)$' \| \
  514. X"$as_dir" : 'X\(/\)' \| \
  515. . : '\(.\)' 2>/dev/null ||
  516. echo X"$as_dir" |
  517. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  518. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  519. /^X\(\/\/\)$/{ s//\1/; q; }
  520. /^X\(\/\).*/{ s//\1/; q; }
  521. s/.*/./; q'`
  522. done
  523. test ! -n "$as_dirs" || mkdir $as_dirs
  524. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  525. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  526. { (exit 1); exit 1; }; }; }
  527. ac_builddir=.
  528. if test "$ac_dir" != .; then
  529. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  530. # A "../" for each directory in $ac_dir_suffix.
  531. ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  532. else
  533. ac_dir_suffix= ac_top_builddir=
  534. fi
  535. case $srcdir in
  536. .) # No --srcdir option. We are building in place.
  537. ac_srcdir=.
  538. if test -z "$ac_top_builddir"; then
  539. ac_top_srcdir=.
  540. else
  541. ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  542. fi ;;
  543. [\\/]* | ?:[\\/]* ) # Absolute path.
  544. ac_srcdir=$srcdir$ac_dir_suffix;
  545. ac_top_srcdir=$srcdir ;;
  546. *) # Relative path.
  547. ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  548. ac_top_srcdir=$ac_top_builddir$srcdir ;;
  549. esac
  550. # Do not use `cd foo && pwd` to compute absolute paths, because
  551. # the directories may not exist.
  552. case `pwd` in
  553. .) ac_abs_builddir="$ac_dir";;
  554. *)
  555. case "$ac_dir" in
  556. .) ac_abs_builddir=`pwd`;;
  557. [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  558. *) ac_abs_builddir=`pwd`/"$ac_dir";;
  559. esac;;
  560. esac
  561. case $ac_abs_builddir in
  562. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  563. *)
  564. case ${ac_top_builddir}. in
  565. .) ac_abs_top_builddir=$ac_abs_builddir;;
  566. [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  567. *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  568. esac;;
  569. esac
  570. case $ac_abs_builddir in
  571. .) ac_abs_srcdir=$ac_srcdir;;
  572. *)
  573. case $ac_srcdir in
  574. .) ac_abs_srcdir=$ac_abs_builddir;;
  575. [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  576. *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  577. esac;;
  578. esac
  579. case $ac_abs_builddir in
  580. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  581. *)
  582. case $ac_top_srcdir in
  583. .) ac_abs_top_srcdir=$ac_abs_builddir;;
  584. [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  585. *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  586. esac;;
  587. esac
  588. case $INSTALL in
  589. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  590. *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  591. esac
  592. # Let's still pretend it is `configure' which instantiates (i.e., don't
  593. # use $as_me), people would be surprised to read:
  594. # /* config.h. Generated by config.status. */
  595. if test x"$ac_file" = x-; then
  596. configure_input=
  597. else
  598. configure_input="$ac_file. "
  599. fi
  600. configure_input=$configure_input"Generated from `echo $ac_file_in |
  601. sed 's,.*/,,'` by configure."
  602. # First look for the input files in the build tree, otherwise in the
  603. # src tree.
  604. ac_file_inputs=`IFS=:
  605. for f in $ac_file_in; do
  606. case $f in
  607. -) echo $tmp/stdin ;;
  608. [\\/$]*)
  609. # Absolute (can't be DOS-style, as IFS=:)
  610. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  611. echo "$as_me: error: cannot find input file: $f" >&2;}
  612. { (exit 1); exit 1; }; }
  613. echo "$f";;
  614. *) # Relative
  615. if test -f "$f"; then
  616. # Build tree
  617. echo "$f"
  618. elif test -f "$srcdir/$f"; then
  619. # Source tree
  620. echo "$srcdir/$f"
  621. else
  622. # /dev/null tree
  623. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  624. echo "$as_me: error: cannot find input file: $f" >&2;}
  625. { (exit 1); exit 1; }; }
  626. fi;;
  627. esac
  628. done` || { (exit 1); exit 1; }
  629. if test x"$ac_file" != x-; then
  630. { echo "$as_me:$LINENO: creating $ac_file" >&5
  631. echo "$as_me: creating $ac_file" >&6;}
  632. rm -f "$ac_file"
  633. fi
  634. sed "/^[ ]*VPATH[ ]*=/{
  635. s/:*\$(srcdir):*/:/;
  636. s/:*\${srcdir}:*/:/;
  637. s/:*@srcdir@:*/:/;
  638. s/^\([^=]*=[ ]*\):*/\1/;
  639. s/:*$//;
  640. s/^[^=]*=[ ]*$//;
  641. }
  642. :t
  643. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  644. s,@configure_input@,$configure_input,;t t
  645. s,@srcdir@,$ac_srcdir,;t t
  646. s,@abs_srcdir@,$ac_abs_srcdir,;t t
  647. s,@top_srcdir@,$ac_top_srcdir,;t t
  648. s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  649. s,@builddir@,$ac_builddir,;t t
  650. s,@abs_builddir@,$ac_abs_builddir,;t t
  651. s,@top_builddir@,$ac_top_builddir,;t t
  652. s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  653. s,@INSTALL@,$ac_INSTALL,;t t
  654. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  655. rm -f $tmp/stdin
  656. if test x"$ac_file" != x-; then
  657. mv $tmp/out $ac_file
  658. else
  659. cat $tmp/out
  660. rm -f $tmp/out
  661. fi
  662. done
  663. #
  664. # CONFIG_HEADER section.
  665. #
  666. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  667. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  668. #
  669. # ac_d sets the value in "#define NAME VALUE" lines.
  670. ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
  671. ac_dB='[ ].*$,\1#\2'
  672. ac_dC=' '
  673. ac_dD=',;t'
  674. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  675. ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
  676. ac_uB='$,\1#\2define\3'
  677. ac_uC=' '
  678. ac_uD=',;t'
  679. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  680. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  681. case $ac_file in
  682. - | *:- | *:-:* ) # input from stdin
  683. cat >$tmp/stdin
  684. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  685. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  686. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  687. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  688. * ) ac_file_in=$ac_file.in ;;
  689. esac
  690. test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
  691. echo "$as_me: creating $ac_file" >&6;}
  692. # First look for the input files in the build tree, otherwise in the
  693. # src tree.
  694. ac_file_inputs=`IFS=:
  695. for f in $ac_file_in; do
  696. case $f in
  697. -) echo $tmp/stdin ;;
  698. [\\/$]*)
  699. # Absolute (can't be DOS-style, as IFS=:)
  700. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  701. echo "$as_me: error: cannot find input file: $f" >&2;}
  702. { (exit 1); exit 1; }; }
  703. # Do quote $f, to prevent DOS paths from being IFS'd.
  704. echo "$f";;
  705. *) # Relative
  706. if test -f "$f"; then
  707. # Build tree
  708. echo "$f"
  709. elif test -f "$srcdir/$f"; then
  710. # Source tree
  711. echo "$srcdir/$f"
  712. else
  713. # /dev/null tree
  714. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  715. echo "$as_me: error: cannot find input file: $f" >&2;}
  716. { (exit 1); exit 1; }; }
  717. fi;;
  718. esac
  719. done` || { (exit 1); exit 1; }
  720. # Remove the trailing spaces.
  721. sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
  722. # Handle all the #define templates only if necessary.
  723. if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
  724. # If there are no defines, we may have an empty if/fi
  725. :
  726. cat >$tmp/defines.sed <<CEOF
  727. /^[ ]*#[ ]*define/!b
  728. t clr
  729. : clr
  730. ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"uCON64"${ac_dD}
  731. ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"ucon64"${ac_dD}
  732. ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"2.0.2"${ac_dD}
  733. ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"uCON64 2.0.2"${ac_dD}
  734. ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"ucon64-main@lists.sourceforge.net"${ac_dD}
  735. ${ac_dA}USE_PARALLEL${ac_dB}USE_PARALLEL${ac_dC}1${ac_dD}
  736. ${ac_dA}USE_ANSI_COLOR${ac_dB}USE_ANSI_COLOR${ac_dC}1${ac_dD}
  737. ${ac_dA}DLOPEN${ac_dB}DLOPEN${ac_dC}1${ac_dD}
  738. ${ac_dA}USE_DISCMAGE${ac_dB}USE_DISCMAGE${ac_dC}1${ac_dD}
  739. ${ac_dA}USE_ZLIB${ac_dB}USE_ZLIB${ac_dC}1${ac_dD}
  740. ${ac_dA}USE_USB${ac_dB}USE_USB${ac_dC}1${ac_dD}
  741. ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
  742. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  743. ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
  744. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  745. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  746. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  747. ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
  748. ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
  749. ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
  750. ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
  751. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  752. ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
  753. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  754. ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
  755. ${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
  756. ${ac_dA}HAVE_VPRINTF${ac_dB}HAVE_VPRINTF${ac_dC}1${ac_dD}
  757. ${ac_dA}HAVE_REALPATH${ac_dB}HAVE_REALPATH${ac_dC}1${ac_dD}
  758. CEOF
  759. sed -f $tmp/defines.sed $tmp/in >$tmp/out
  760. rm -f $tmp/in
  761. mv $tmp/out $tmp/in
  762. fi # grep
  763. # Handle all the #undef templates
  764. cat >$tmp/undefs.sed <<CEOF
  765. /^[ ]*#[ ]*undef/!b
  766. t clr
  767. : clr
  768. ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"uCON64"${ac_uD}
  769. ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"ucon64"${ac_uD}
  770. ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"2.0.2"${ac_uD}
  771. ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"uCON64 2.0.2"${ac_uD}
  772. ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"ucon64-main@lists.sourceforge.net"${ac_uD}
  773. ${ac_uA}USE_PARALLEL${ac_uB}USE_PARALLEL${ac_uC}1${ac_uD}
  774. ${ac_uA}USE_ANSI_COLOR${ac_uB}USE_ANSI_COLOR${ac_uC}1${ac_uD}
  775. ${ac_uA}DLOPEN${ac_uB}DLOPEN${ac_uC}1${ac_uD}
  776. ${ac_uA}USE_DISCMAGE${ac_uB}USE_DISCMAGE${ac_uC}1${ac_uD}
  777. ${ac_uA}USE_ZLIB${ac_uB}USE_ZLIB${ac_uC}1${ac_uD}
  778. ${ac_uA}USE_USB${ac_uB}USE_USB${ac_uC}1${ac_uD}
  779. ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
  780. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  781. ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
  782. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  783. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  784. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  785. ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
  786. ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
  787. ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
  788. ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
  789. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  790. ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
  791. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  792. ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
  793. ${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
  794. ${ac_uA}HAVE_VPRINTF${ac_uB}HAVE_VPRINTF${ac_uC}1${ac_uD}
  795. ${ac_uA}HAVE_REALPATH${ac_uB}HAVE_REALPATH${ac_uC}1${ac_uD}
  796. s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  797. CEOF
  798. sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  799. rm -f $tmp/in
  800. mv $tmp/out $tmp/in
  801. # Let's still pretend it is `configure' which instantiates (i.e., don't
  802. # use $as_me), people would be surprised to read:
  803. # /* config.h. Generated by config.status. */
  804. if test x"$ac_file" = x-; then
  805. echo "/* Generated by configure. */" >$tmp/config.h
  806. else
  807. echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
  808. fi
  809. cat $tmp/in >>$tmp/config.h
  810. rm -f $tmp/in
  811. if test x"$ac_file" != x-; then
  812. if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
  813. { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  814. echo "$as_me: $ac_file is unchanged" >&6;}
  815. else
  816. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  817. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  818. X"$ac_file" : 'X\(//\)[^/]' \| \
  819. X"$ac_file" : 'X\(//\)$' \| \
  820. X"$ac_file" : 'X\(/\)' \| \
  821. . : '\(.\)' 2>/dev/null ||
  822. echo X"$ac_file" |
  823. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  824. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  825. /^X\(\/\/\)$/{ s//\1/; q; }
  826. /^X\(\/\).*/{ s//\1/; q; }
  827. s/.*/./; q'`
  828. { if $as_mkdir_p; then
  829. mkdir -p "$ac_dir"
  830. else
  831. as_dir="$ac_dir"
  832. as_dirs=
  833. while test ! -d "$as_dir"; do
  834. as_dirs="$as_dir $as_dirs"
  835. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  836. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  837. X"$as_dir" : 'X\(//\)[^/]' \| \
  838. X"$as_dir" : 'X\(//\)$' \| \
  839. X"$as_dir" : 'X\(/\)' \| \
  840. . : '\(.\)' 2>/dev/null ||
  841. echo X"$as_dir" |
  842. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  843. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  844. /^X\(\/\/\)$/{ s//\1/; q; }
  845. /^X\(\/\).*/{ s//\1/; q; }
  846. s/.*/./; q'`
  847. done
  848. test ! -n "$as_dirs" || mkdir $as_dirs
  849. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  850. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  851. { (exit 1); exit 1; }; }; }
  852. rm -f $ac_file
  853. mv $tmp/config.h $ac_file
  854. fi
  855. else
  856. cat $tmp/config.h
  857. rm -f $tmp/config.h
  858. fi
  859. done
  860. { (exit 0); exit 0; }